QwtKnob(3)

NAME
QwtKnob -

SYNOPSIS

#include <qwt_knob.h>

Inherits QwtAbstractSlider, and QwtAbstractScale.

  Public Types
enum KnobStyle { NoStyle = -1, Raised, Sunken }
enum MarkerStyle { NoMarker = -1, Tick, Dot, Nub, Notch }

  Public Member Functions
QwtKnob (QWidget *parent=NULL)
virtual ~QwtKnob ()
int borderWidth () const
KnobStyle knobStyle () const
int knobWidth () const
int markerSize () const
MarkerStyle markerStyle () const
virtual QSize minimumSizeHint () const
const QwtRoundScaleDraw * scaleDraw () const
QwtRoundScaleDraw * scaleDraw ()
void setBorderWidth (int bw)
void setKnobStyle (KnobStyle)
void setKnobWidth (int w)
void setMarkerSize (int)
void setMarkerStyle (MarkerStyle)
void setScaleDraw (QwtRoundScaleDraw *)
void setTotalAngle (double angle)
virtual QSize sizeHint () const
double totalAngle () const

  Protected Member Functions
virtual void changeEvent (QEvent *)
virtual void drawKnob (QPainter *, const QRectF &) const
virtual void drawMarker (QPainter *, const QRectF &, double arc) const
virtual void getScrollMode (const QPoint &, QwtAbstractSlider::ScrollMode &, int &direction) const
virtual double getValue (const QPoint &p)
virtual void paintEvent (QPaintEvent *)
virtual void resizeEvent (QResizeEvent *)

  Additional Inherited Members

Detailed Description

The Knob Widget. The QwtKnob widget imitates look and behaviour of a volume knob on a radio. It contains a scale around the knob which is set up automatically or can be configured manually (see QwtAbstractScale). Automatic scrolling is enabled when the user presses a mouse button on the scale. For a description of signals, slots and other members, see QwtAbstractSlider.

See also:
    QwtAbstractSlider and QwtAbstractScale for the descriptions of the inherited members.

Member Enumeration Documentation

  enum QwtKnob::KnobStyle

Style of the knob surface. Depending on the KnobStyle the surface of the knob is filled from the brushes of the widget palette().

See also:
    setKnobStyle(), knobStyle()

Enumerator:

NoStyle
    Fill the knob with a brush from QPalette::Button.

Raised
    Build a gradient from QPalette::Midlight and QPalette::Button.

Sunken
    Build a gradient from QPalette::Midlight, QPalette::Button and QPalette::Midlight

  enum QwtKnob::MarkerStyle

Marker type. The marker indicates the current value on the knob The default setting is a Notch marker.

See also:
    setMarkerStyle(), setMarkerSize()

Enumerator:

NoMarker
    Don't paint any marker.

Tick
    Paint a single tick in QPalette::ButtonText color.

Dot Paint a circle in QPalette::ButtonText color.

Nub Draw a raised ellipse with a gradient build from QPalette::Light and QPalette::Mid

Notch
    Draw a sunken ellipse with a gradient build from QPalette::Light and QPalette::Mid

Constructor & Destructor Documentation

  QwtKnob::QwtKnob (QWidget *parent = NULL) [explicit]
Constructor

Parameters:
    parent Parent widget

Member Function Documentation

  void QwtKnob::changeEvent (QEvent *event) [protected], [virtual]
Handle QEvent::StyleChange and QEvent::FontChange;

Parameters:
    event Change event

  void QwtKnob::drawKnob (QPainter *painter, const QRectF &knobRect) const [protected], [virtual]

Draw the knob. Parameters:
    painter painter
    knobRect Bounding rectangle of the knob (without scale)

  void QwtKnob::drawMarker (QPainter *painter, const QRectF &rect, doubleangle) const [protected], [virtual]

Draw the marker at the knob's front. Parameters:
    painter Painter
    rect Bounding rectangle of the knob without scale
    angle Angle of the marker in degrees

  void QwtKnob::getScrollMode (const QPoint &pos, QwtAbstractSlider::ScrollMode &scrollMode, int &direction) const [protected], [virtual]

Set the scrolling mode and direction. Called by QwtAbstractSlider

Parameters:
    pos Point in question
    scrollMode Scrolling mode
    direction Direction

Implements QwtAbstractSlider.

  double QwtKnob::getValue (const QPoint &pos) [protected], [virtual]

Determine the value corresponding to a specified position. Called by QwtAbstractSlider

Parameters:
    pos point

Implements QwtAbstractSlider.

  QwtKnob::KnobStyle QwtKnob::knobStyle () const
Returns:
    Marker type of the knob

See also:
    setKnobStyle(), setBorderWidth()

  QwtKnob::MarkerStyle QwtKnob::markerStyle () const
Returns:
    Marker type of the knob

See also:
    setMarkerStyle(), setMarkerSize()

  QSize QwtKnob::minimumSizeHint () const [virtual]

Return a minimum size hint. Warning:
    The return value of QwtKnob::minimumSizeHint() depends on the font and the scale.

  void QwtKnob::paintEvent (QPaintEvent *event) [protected], [virtual]
Repaint the knob

Parameters:
    event Paint event

  void QwtKnob::resizeEvent (QResizeEvent *event) [protected], [virtual]
Qt Resize Event

Parameters:
    event Resize event

  const QwtRoundScaleDraw * QwtKnob::scaleDraw () const
Returns:
    the scale draw of the knob

See also:
    setScaleDraw()

  QwtRoundScaleDraw * QwtKnob::scaleDraw ()
Returns:
    the scale draw of the knob

See also:
    setScaleDraw()

  void QwtKnob::setBorderWidth (intborderWidth)

Set the knob's border width. Parameters:
    borderWidth new border width

  void QwtKnob::setKnobStyle (KnobStyleknobStyle)

Set the knob type. Parameters:
    knobStyle Knob type

See also:
    knobStyle(), setBorderWidth()

  void QwtKnob::setKnobWidth (intwidth)

Change the knob's width. The specified width must be >= 5, or it will be clipped.

Parameters:
    width New width

  void QwtKnob::setMarkerSize (intsize)

Set the size of the marker. See also:
    markerSize(), markerStyle()

  void QwtKnob::setMarkerStyle (MarkerStylemarkerStyle)

Set the marker type of the knob. Parameters:
    markerStyle Marker type

See also:
    markerStyle(), setMarkerSize()

  void QwtKnob::setScaleDraw (QwtRoundScaleDraw *scaleDraw)
Change the scale draw of the knob

For changing the labels of the scales, it is necessary to derive from QwtRoundScaleDraw and overload QwtRoundScaleDraw::label().

See also:
    scaleDraw()

  void QwtKnob::setTotalAngle (doubleangle)

Set the total angle by which the knob can be turned. Parameters:
    angle Angle in degrees.

The default angle is 270 degrees. It is possible to specify an angle of more than 360 degrees so that the knob can be turned several times around its axis.

  QSize QwtKnob::sizeHint () const [virtual]
Returns:
    minimumSizeHint()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.